%define lib_name_orig libalsa
%define lib_name %mklibname alsa 2
%define fname alsa-lib-%version

Summary:	Advanced Linux Sound Architecture (ALSA) library
Name:		%lib_name
Version:	1.0.2
Release:	3mdk
Source0:	ftp://ftp.alsa-project.org/pub/lib/%{fname}.tar.bz2
License:	GPL
Epoch:		1
Url:		http://www.alsa-project.org/
BuildRoot:	%_tmppath/%name-%version-root
Group:		Sound
#Group: System/Libraries
Requires:	kernel >= 2.4.18
Provides:   alsa-lib, %name = %version-%release, %lib_name_orig = %version
Obsoletes:  alsa-lib, %lib_name_orig
#Obsoletes: libalsa1
#Provides: libalsa1
BuildRequires: doxygen
Requires: %{lib_name_orig}-data

%description
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

Using the ALSA api requires to use the ALSA library.

%package -n %{lib_name_orig}-data
Summary:    Config files for Advanced Linux Sound Architecture (ALSA)
Group:      Sound
Requires:   %lib_name = %epoch:%version

%description -n %{lib_name_orig}-data
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains config files by ALSA applications.

%package -n %{lib_name}-devel
Summary:    Development files for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %lib_name = %epoch:%version
Provides:   libalsa1-devel alsa-lib-devel, %lib_name_orig-devel = %version-%release
Obsoletes:  libalsa1-devel alsa-lib-devel, %lib_name_orig-devel

%description -n %{lib_name}-devel
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

This package contains files needed in order to develop an application
that made use of ALSA.

%package -n %{lib_name}-static-devel
Summary:    Static libraries for Advanced Linux Sound Architecture (ALSA)
Group:      Development/C
Requires:   %{lib_name}-devel = %epoch:%version-%release
Provides:   %{lib_name_orig}-static-devel = %version-%release
%description -n %{lib_name}-static-devel
Static libraries required for statically compiling packages needing the
ALSA libasound library.

%package docs
Summary:    Documentation for Advanced Linux Sound Architecture (ALSA)
Group:      Books/Howtos
Requires:   %lib_name = %epoch:%version
%description docs
Advanced Linux Sound Architecture (ALSA) is a modularized architecture which
supports quite a large range of ISA and PCI cards.
It's fully compatible with old OSS drivers (either OSS/Lite, OSS/commercial).
To use the features of alsa, one can either use:
- the old OSS api
- the new ALSA api that provides many enhanced features.

The Advanced Linux Sound Architecture comes with a kernel API and library API.
This document describes the library API and how it interfaces with the kernel
API. Application programmers should use the library API rather than kernel API.

The Library offers 100% of the functionally of the kernel API, but add next
major improvements in usability, making the application code simpler and better
looking.

This package contains the documentation that describe tha ALSA lib API.


%prep
%setup -q -n %fname

%build
%configure2_5x --enable-shared --enable-static

make CFLAGS="$RPM_OPT_FLAGS"
make -C doc doc

%install
mkdir -p $RPM_BUILD_ROOT%_includedir/sys
mkdir -p $RPM_BUILD_ROOT%_libdir
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %lib_name -p /sbin/ldconfig
%postun -n %lib_name -p /sbin/ldconfig

%files -n %{lib_name_orig}-data
%defattr(-, root, root)
%doc COPYING
%dir %_datadir/alsa/
%dir %_datadir/alsa/cards/
%dir %_datadir/alsa/pcm/
%_datadir/alsa/cards/*
%_datadir/alsa/pcm/*
%_datadir/alsa/alsa.conf
%_datadir/alsa/sndo-mixer.alisp


%files
%defattr(-, root, root)
%doc COPYING 
%_libdir/*.so.*

%files docs
%defattr(-,root,root)
%doc COPYING doc/doxygen/html/* doc/asoundrc.txt

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc COPYING
%dir %_includedir/alsa/
%_includedir/alsa/*
%_includedir/sys/asoundlib.h
%_datadir/aclocal/alsa.m4
%_libdir/*.la
%_libdir/*.so
%_libdir/pkgconfig/*.pc
%_bindir/*

%files -n %{lib_name}-static-devel
%defattr(-,root,root)
%doc COPYING
%_libdir/*.a

%changelog
* Tue Feb 24 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-3mdk
- fix unstallable packages

* Wed Jan 28 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-2mdk
- new old release (alsa team reuploaded 1.0.2 tarballs with some fixes but
  without any note)

* Mon Jan 26 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.2-1mdk
- new release

* Thu Jan 08 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.1-1mdk
- new release

* Mon Dec 22 2003 Stefan van der Eijk <stefan@eijk.nu> 1.0.0-0.4rc2mdk
- rebuild for new pkgconfig Requires

* Mon Dec 15 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.3rc2mdk
- new release

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.2rc1mdk
- quote changelog

* Mon Dec 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.0-0.1rc1mdk
- new release
- do not remember the following when rebuilding old apps:
  \#define ALSA_PCM_OLD_HW_PARAMS_API
  \#define ALSA_PCM_OLD_SW_PARAMS_API
  \#include <alsa/asoundlib.h>

* Fri Nov  7 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.9.8-2mdk
- Fix Titi's mismerged package... aka fix -static-devel Provides

* Thu Nov 06 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.8-1mdk
- new release

* Mon Sep 08 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.9.6-3mdk
- Added missed devel-static libraries.

* Sun Aug 17 2003 Austin Acton <aacton@yorku.ca> 0.9.6-2mdk
- don't require kernel 2.4.22 so we can install on klama (grrr...)

* Sun Aug 17 2003 Austin Acton <aacton@yorku.ca> 0.9.6-1mdk
- 0.9.6
- requires kernel 2.4.22

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.5-1mdk
- new release

* Tue Jul 08 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.4-2mdk
- rebuild for devel (deps) [0.9.5 will follow as soon as cvs is officially
  tarballed]

* Mon Jul 07 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.4-1mdk
- new release (needed to suppot latest 2.5.7x kernels)

* Sat May 24 2003 Stefan van der Eijk <stefan@eijk.nu> 0.9.2-5mdk
- rebuild for new deps

* Tue Apr 29 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-4mdk
- ease update from previous distro releases

* Mon Apr 14 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-3mdk
- make it %%mklibname aware

* Fri Apr 04 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-2mdk
- fix aserver naming
- remove obsolte ChangeLog from doc

* Tue Apr 01 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.2-1mdk
- new release

* Wed Feb 19 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.14rc7mdk
- fix obsoletes

* Mon Feb 17 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.13rc7mdk
- build release for latest kernel headers

* Mon Feb 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.12rc7mdk
- new release

* Thu Jan 02 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.11rc6mdk
- build release

* Tue Nov 26 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.10rc6mdk
- new rc

* Wed Nov 13 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.9rc5mdk
- rc 5
- added %_libdir/pkgconfig/*.pc to correct rebuild problem under rpm 4.1
  (Kenton Groombridge)

* Sun Aug  4 2002 Stefan van der Eijk <stefan@eijk.nu> 0.9.0-0.8rc2mdk
- libalsa-data doesn't have to provides libalsa-devel
- change Group & Summary of libalsa-data

* Tue Jul 30 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.7rc2mdk
- libalsa-data doesn't have to provides libalsa-devel (spotted by Stefan van
  der Eijk)

* Thu Jul 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.6rc2mdk
- alsa-0.9.0 RC 2
- move data files into main lib package so that alsa aware progs dont't neeed
  libalsa2-devel in order to work

* Mon Apr 29 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.5rc1mdk
- change group to sound
- put commented infrastructures in order to obsolets libalsa1 as soon as
  all packages get rebuild

* Wed Apr 24 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.4rc1mdk
- update to alsa-0.9.0 release candidate 1

* Thu Apr 18 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3beta12mdk
- the current (0.9.0beta12) OPL4 detection only works the first time after a
  cold boot.
  we now test whether the NEW2 bit can be set. (The OPL4 manual says the
  register cannot be read, but the chip designers did not read the manual. :-) 
-  The AD1848K is detected as CMI8330 because the chip ID register has the same
   value (0x0a) in both chips.
   The patch changes the detection code to test whether the CMI8830's MODE2 bit
   does enable the extended registers 0x10..0x1f. 

* Wed Apr 17 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.3beta12mdk
- build docs
- add docs package
- BuildRequires: doxygen (for doc)
- enhance the descriptions & the summaries
- spec clean
- remove some old commented stuff

* Tue Apr 16 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.2beta12mdk
- add missing files that libalsa1 hadn't

* Mon Apr 15 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.9.0-0.1beta12mdk
- initial release of libalsa2 from libalsa1 template

* Fri Sep 28 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.10-3mdk
- Split-up librariries.
- Fix rpmlint errors.

* Wed Dec 13 2000 Jeff Garzik <jgarzik@mandrakesoft.com> 0.5.10-2mdk
- Remove ExcludeArch, ALSA is portable

* Thu Dec  7 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.10-1mdk
- 0.5.10.

* Thu Oct 24 2000 David BAUDENS <baudens@mandrakesoft.com> 0.5.9-2mdk
- ExcludeArch: ppc
- Fix typo in description

* Wed Aug 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.9-1mdk
- 0.5.9.

* Sun Aug 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.8-3mdk
- added .so file to the devel package
  reported by Stefan van der Eijk <s.vandereijk@chello.nl>
- macroswergwerjations

* Wed Jul 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.8-2mdk
- BM.

* Tue Jun 27 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.8-1mdk
- 0.5.8.
- macrozifications.

* Fri May 19 2000 Francis Galiegue <fg@mandrakesoft.com> 0.5.7-6mdk
- ExcludeArch sparcs too

* Wed May 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.7-5mdk
- ExcludeArch: alpha

* Sun Apr 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.5.7-4mdk
- Clean up various titi-sucks.
- 0.5.7.
- Split lib and devel package.

* Thu Apr 20 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.5.5-3mdk
- fixed group

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- add requires on alsa since Lord DrkChm has splitten it again from kernel

* Thu Mar 09 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- make the alsa-lib package again, hoping Lord DarkChmou won't want to move it
  betwenn contrib and main cd and loose it again :-)
- update to alsa-lib-0.5.5


* Thu Dec 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- build release for Oxygen as lord Chmou request
- removed from contrib
- alter requires from alsa-driver to kernel as Lord Chmou integrate it into the
  mainstream kernel
- Updated to 0.4.1e

* Mon Aug 23 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
  - initial release
